#include <bits/stdc++.h>
using namespace std;
#define int long long

int xin(){
    int n = 0;
    scanf("%lld", &n);
    return n;
}
void exxa() {
    int n;
    cin >> n;
    multiset<int>s;
    for (int i = 0; i < n; i++) {
        int x;
        cin >> x;
        s.insert(x);
    }
    int res = 0;
    while (*max_element(s.begin(), s.end()) > 0) {
        //int mx = *max_element(s.begin(), s.end());
        //s.erase(s.find(mx));
        //auto mx = *(s.begin()+s.size());
        int mx = *max_element(s.begin(), s.end());
        res += mx;
        s.erase(s.find(mx));
        /*multiset <int> ::iterator it = s.begin();
        for (int i = 0; i < s.size(); i++) {
            if(*it == mx) break;
            int c = *it;
            s.erase(it);
            s.insert(c-1);
            //++it;
            
            it++;
        }*/
        multiset<int>r;
        while(s.size()>0){
            if(*s.begin()!=mx) r.insert(*s.begin()-1);
            else r.insert(*s.begin());
            s.erase(s.begin());
        }
        multiset <int> ::iterator it = r.begin();
        for (int i = 0; i < r.size(); i++) {
            s.insert(*it);
            it++;
        }
        //for(auto i : s) cout<<i<<' ';
        //cout<<endl;
    }
    cout << res;
}
int32_t main()
{
    //int t = xin();
    int t = 1;
    while (t--) exxa();
}